/*
     $Revision$
     $Id$
*/

function build_expression(step_key)
{
    parent.FcltMgr.openModalDetail("./mld_workflow_expression.asp?step_key=" + step_key, "Uitdrukking",
              { callback: function (data)
                      { if (data.expression)
                           $("textarea#condition").val(data.expression);
                      }
              } );
}

function add_step(row)
{
    var prevstep_key = row.getAttribute("ROWKEY");

    $("#fac_groep tbody tr").removeClass("updated editing");
    $(row).addClass('editing');

    var url = "mld_workflowstep.asp?mode=edit&prevstep=" + prevstep_key;
    FcltMgr.openModalDetail(url, L("lcl_add") + " " + L("mld_workflowrule"), { callback: scf_reload });
}
